WESNOTHD(6)

NOMBRE
wesnothd - Demonio para juego en red multijugador de la batalla por Wesnoth

SINOPSIS
wesnothd [-dv] [-c ruta] [-p puerto] [-t número] [-T número]
wesnothd -V

DESCRIPCIÓN
Administra juegos multijugador de la batalla por Wesnoth. Vea http://www.wesnoth.org/wiki/ServerAdministration para saber que órdenes acepta el servidor a través del cliente de wesnoth o del socket.

OPCIONES

-c ruta, --config ruta
    indica a wesnothd donde encontrar el fichero de configuración que debe usar. Vea la sección SERVER CONFIG más abajo para conocer la sintaxis. PUedes recargar la configuración enviando SIGHUP al proceso del servidor.

-d, --daemon
    ejecuta wesnothd como demonio.

-h, --help
    muestra las opciones de línea de órdenes.

--log-level=domain1,domain2,...
    establece el nivel de gravedad de los dominios de depuración. all puede usarse para seleccionar todos los dominios. Niveles disponibles: error, warning, info, debug. Por defecto el nivel error es usado y el nivel info para el dominio server.

-p puerto, --port puerto
    conecta al servidor al puerto especificado. Si no se especifica ningún puerto, se usará el puerto 15000.

-t número, --threads número
    establece el número máximo de hilos efectivos en espera para la entrada y salida de red a n (por defecto: 5, máximo: 30).

-T número, --max-threads número
    establece el número máximo de hilos efectivos que se crearán, si se establece a 0 no habrá ningún límite (por defecto: 0).

-V, --version
    muestra el número de versión y finaliza.

-v, --verbose
    activa el registro de depuración

CONFIGURACIÓN DEL SERVIDOR

  La sintaxis general es:

[etiqueta]

    clave="valor"

    clave="valor,valor,..."

[/etiqueta]

  Claves globales:

connections_allowed
    El número máximo de conexiones permitidas desde la misma IP. 0 significa infinito. (por defecto: 5)

disallow_names
    Nombres o apodos que no están permitidos por el servidor. `*' y `?' pueden usarse como comodín. Vea glob(7) para más detalles. Los valores por defecto (usados si no se especifica nada) son: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    El número de mensajes permitidos en un lapso de tiempo definido por messages_time_period. (por defecto: 4)

messages_time_period
    El lapso de tiempo (en segundos) usado para detectar una inundación de mensajes. (por defecto: 10 segundos)

motd
    El mensaje del día.

passwd
    La contraseña utilizada para obtener privilegios de administrador. Habitualmente empieza por `admin '.

versions_accepted
    Una lista separada por comas de cadenas de versión que serán admitidas por el servidor. `*' y `?' pueden usarse como comodín. (por defecto es la versión de wesnoth correspondiente)
    Ejemplo: versions_accepted="*" acepta cualquier cadena de versión.

  Etiquetas globales:

[redirect] Una etiqueta para especificar un servidor al que se redirigirán ciertas versiones de clientes.

    host
        La dirección del servidor hacia el que se hará la redirección.

    port
        El puerto al que se hará la conexión.

    version
        Una lista separada por comas de las versiones a redirigir. Se usa la misma sintaxis que para versions_accepted en lo relativo a comodines.

[proxy] Una etiqueta para indicar al servidor que actúe de proxy y reenvíe las peticiones de los clientes conectados al servidor especificad. Acepta las mismas claves que [redirect].

AUTOR
Escrito por David White <davidnwhite@verizon.net>. Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> y Soliton <soliton.de@gmail.com>. Esta página de manual fue escrita inicialmente por Cyril Bouthors <cyril@bouthors.org>.
Visite la página web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Esto es Software Libre; este software está licenciado bajo la GPL versión 2, tal y como ha sido publicada por la Free Software Foundation. No existe NINGUNA garantía; ni siquiera para SU USO COMERCIAL o ADECUACIÓN A UN PROPÓSITO PARTICULAR.

VÉASE TAMBIÉN
wesnoth(6), wesnoth_editor(6)